aboutsummaryrefslogtreecommitdiffstats
path: root/network/scripts/run-os-net-config.sh
diff options
context:
space:
mode:
authorJenkins <jenkins@review.openstack.org>2017-01-09 16:25:37 +0000
committerGerrit Code Review <review@openstack.org>2017-01-09 16:25:37 +0000
commitfb921527e5ef7aceb3d83f39d0ec246ca9a5b819 (patch)
tree26b4ab010b6a2ef14620db2f6c5ce9d84a4e6ad7 /network/scripts/run-os-net-config.sh
parent963e1b095e3a77aeaebb9b4164871cec7122776e (diff)
parentb1fe2e8d60ad3dcfeec858539343be57115dd698 (diff)
Merge "Template and role support for the undercloud"
Diffstat (limited to 'network/scripts/run-os-net-config.sh')
-rwxr-xr-xnetwork/scripts/run-os-net-config.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/network/scripts/run-os-net-config.sh b/network/scripts/run-os-net-config.sh
index e65f922a..a7dbedc7 100755
--- a/network/scripts/run-os-net-config.sh
+++ b/network/scripts/run-os-net-config.sh
@@ -108,7 +108,9 @@ EOF_CAT
}
if [ -n '$network_config' ]; then
- trap configure_safe_defaults EXIT
+ if [ -z "${disable_configure_safe_defaults:-''}" ]; then
+ trap configure_safe_defaults EXIT
+ fi
mkdir -p /etc/os-net-config
# Note these variables come from the calling heat SoftwareConfig